| Home | Libraries | People | FAQ | More

#### grammar::hexdig_value

Return the decimal value of a hex character.

##### Synopsis

Defined in header `<boost/url/grammar/hexdig_chars.hpp>`

    signed char
    hexdig_value(
        char ch);

##### Description

This function returns the decimal value of a hexadecimal character, or -1 if the argument is not a valid hexadecimal digit.

##### BNF

    HEXDIG      = DIGIT
                / "A" / "B" / "C" / "D" / "E" / "F"
                / "a" / "b" / "c" / "d" / "e" / "f"

##### Parameters

Name | Description
--- | ---
`ch` | The character to check

##### Return Value

The decimal value or -1

Convenience header `<boost/url/grammar.hpp>`